Bug 120238 - inconsinstent file stat on smb mounted with autofs
inconsinstent file stat on smb mounted with autofs
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-06 22:22 EDT by Curtis Doty
Modified: 2007-04-18 13:05 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Curtis Doty 2004-04-06 22:22:49 EDT
I boxed this one in, but don't know where to dig deeper. Basically a 
smb share automounted before we switched to daylight time was 
returning strange inconsistent timestamps.

$ stat /foo/bar/1856.txt      
  File: `/foo/bar/1856.txt'
  Size: 0               Blocks: 0          IO Block: 4096   Regular 
File
Device: ah/10d  Inode: 17964       Links: 1    
Access: (0664/-rw-rw-r--)  Uid: (    0/    root)   Gid: (  703/    
ptlc)
Access: 2004-04-06 19:56:40.000000000 -0700
Modify: 2004-04-06 19:56:40.000000000 -0700
Change: 2004-04-06 19:56:40.000000000 -0700

$ stat /foo/bar/*        
  File: `/foo/bar/1856.txt'
  Size: 0               Blocks: 0          IO Block: 4096   Regular 
File
Device: ah/10d  Inode: 17964       Links: 1    
Access: (0664/-rw-rw-r--)  Uid: (    0/    root)   Gid: (  703/    
ptlc)
Access: 2004-04-06 18:56:39.000000000 -0700
Modify: 2004-04-06 18:56:39.000000000 -0700
Change: 2004-04-06 18:56:39.000000000 -0700

Strange huh? Timestamp in the future when no glob. Here are the 
details.

# cat /etc/auto.master
/foo /etc/auto.foo --timeout=600
# cat /etc/auto.foo
bar - 
fstype=smbfs,rw,gid=bozo,fmask=0664,username=dork,password=bjork ://se
rver/share

The work-around was to force a remount of the share. And yes, it's 
been continually in use since Saturday, so no auto umount timeout.
Comment 1 Jay Fenlason 2004-04-07 09:25:12 EDT
This is a kernel problem (in the smbfs kernel module), rather than a
Samba one.  I'm reassigning it to the kernel maintainers.

In the mean time, you might try Fedora Core 2 test 2.  The 2.6 kernel
comes with the cifs kernel module, which has active maintainers.
Comment 2 Bugzilla owner 2004-09-30 11:41:52 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.